﻿body {
	background-color: #222;
	height: 100%;
	overflow: hidden;
}

#routeTabs li {
    font-size: 8pt;
}

/* Tab */
.tab-content {
	display: none;
	overflow-x: hidden;
	overflow-y: auto;
	height: -ms-calc(100% - 40px);
	height: -moz-calc(100% - 40px);
	height: -webkit-calc(100% - 40px);
	height: calc(100% - 40px);
}

.tab-content.active {
	position: relative;
	display: block;
}

.tab-controls.bottom {
	position: absolute;
	height: 26px;
	border-top: solid 1px #555;
	width: 100%;	
	overflow: visible;
	bottom: 7px;
}
.tab-controls .tab-control {
	background-color: #444;
	border-color: #555;
	float: left;
	padding: 0 6px;
	border-top: solid 1px #555;
	height: 25px;
	line-height: 23px;
	margin: -1px 0 0 2px;
	cursor: pointer;
    color: #CCC;
    font-size: 8pt; /* Tab */
	border-radius: 0 0 4px 4px;
}

.tab-controls .tab-control:hover {
	color: #0098C0;
}

.tab-controls .tab-control.active {
	background-color: #222;
	border-color: #555;
	border-style: solid;
	border-width: 1px;
	height: 25px;
	border-top-color: #222;
    color: #0098C0;
}
.tab-controls .tab-control.active:hover {
	color: #0098C0;
}


/* Search form */
.form-group {
    padding: 5px;
}
a.ui-state-hover, a.ui-state-active {
	background-image: none !important;
	background-color: #666 !important;
	border-color: #666 !important;
	color: #FFF !important;
}

.waypoints {
	margin-top: 5px;
	background-image: url("/Images/sp.png");
	background-repeat: repeat-y;
	background-position: 7px 0;
}
.route-controls {
	/*padding: 5px 10px 0 20px;*/
    padding: 5px;
    /*text-align: center;*/
}

.k-ff .route-controls .fancybutton {
    padding-left: 9px;
    padding-right: 9px;
}

.btn.btn-icon {
    width: 32px;
    height: 28px;
    display: block;
    float: left;
    padding: 0;
    text-align: center;
    box-sizing: border-box;
}

#searchResults {
    padding: 5px;
    font-size: 8pt;
}

#searchResults li {
    cursor: pointer;
    border-bottom: solid 1px #555;
	position: relative;
	padding: 5px 0;
}

#searchResults li table {
	width: 100%;
}

#searchResults li table td {
	padding: 0;
}

#searchResults li:first-child {
	padding: 0;
}
#searchResults li:last-child {
    border-bottom: none;
}
#searchResults li .address {
    padding: 5px 0 5px 0;
    display: block;
	line-height: 1.3;
    font-size: 8pt;
}
#searchResults li .address:hover {
    /*background-color #444;*/
    color: #0098C0;
}

#searchResults li .remove-result {
    display: block;
    float: right;
}

#searchResults li .icon-locate {
	vertical-align: middle;
	margin:0 5px 0 0;
}

#txtAddressSearch {
    width: 100%;
}

.swap-layer span {
    font-weight: bold;
    font-family: Arial;
}
.swap-layer {
    position: absolute;
    width: 28px;
    height: 28px;
    color: #0098C0;
    top: 53px;
	left: 250px;
    line-height: 26px;
    text-align: center;
    background-color: #444;
    overflow: hidden;
    cursor: pointer;
}

.swap-layer:hover {
    background-color: #555;
}

.btn-icon img {
    vertical-align: middle;
}

body .k-button-icon {
	width: 32px;
	box-sizing: border-box;
	text-align: center;
}

.fancybutton.btn-icon .k-font-icon {
    line-height: 26px;
    font-size: 14pt;
}
.input-route {
    display: block;
    width: 80%;
}

/* Route form
*/
.waypoint {
	position: relative;
}

.waypoint table {
	width: 100%;
}
.waypoint table td {
	padding: 0;
}

.waypoint:first-child::before,
.waypoint:last-child::after {
	content: '';
	display: block;
	background-color: #222;
	position: absolute;
	width: 10px;
	height: 10px;
	top: 0;
}

.waypoint:last-child::after {
	top: 28px;
	height: 10px;
}

.path-bg {
	background-repeat: no-repeat;
	background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAsAAADACAYAAADSg5lRAAAC8ElEQVRoge2YsWvbQBTG/Z84aPLiwaDB0ByhmGCCoJyx4QbvkpfzqrHcljHQFrqZpEMgUEzoEIMMGUriTZInEy8aDPHSYig0lqevg8+KZMkmzeQk98EDYX7v06f3QMiX0zQNT62cgl8AXDQa0C0bpWZrM1xqtlDtejg8v8XByQUqnT6Oru6gW3YSLhoNGNcTlJotFI0GyHEHpWYLhTJJNOQ0TcPh+S10y8a7j59B/TCqSqcfNUTw0dUdikYjAa5Kt2xUOn2Umq0lXO160C07Ez44ucDByQV0y350LpQJPgx+p+BSs5V0rnT6mZnff/2BotFIZi6UCYzrCXTLRqFMoFs2ikYDRaOBateLZh7NuVAm0WyrXS+q+HIy1726Q2qDSm9KO/qSUfCzYcYYhBDgnG+GOecIggCj0QiO48B1XUynUwghkjBjDLPZDJxzMMbQ7XbBOQchJNGQ0zQNo9EIQgicnp4iLtd1o4YInk6nYIwhS0IIuK4LzvkSDoIAQohM2HEcOI4DIcSjMyEEDw8PKZhznnR2XTcz883NDRhjycyEEMxmMwghQAiBEAKMMTDGEARBNPNozoSQaLZBEEQVX07muld3SG1QSUnpBavmz/epH5p0uKhvhOhwUad+6FE//En9xRn1wx71wzH1QzPL7Z4OF/WaP9+nw/ALHS7q1JvvpRqWbqFZ88PjtQ/X3qohDo+le9ZnsUn9sBc9g8xqZsOLM/kMZuQsb/cnBS8fPOHc25D5u4wXy7x0vad+aMprs+bP9yXopWYuodVsvai2LUfGMqk339sKKSkpvTABIADaANg2iAEYAxgCuAQwADAB0M5y+yUbCIBv8jqfapBubQCf1r5bB6uGODyRjllqyya2gsfyxyxdymrHnfMA/mbAbN15sCFzX8ZLZM7LabTldVtCREZMzlxCq9mOY7V5ObKxDSC/FVJSUtpxrf8DVufPr/r8eUdP1RT8ZFjpTWl9/+r8+VWfP+/IS0bBz4b/R/8AfUP6BpqnqocAAAAASUVORK5CYII=);
}

.waypoint .handle {
    cursor: pointer;
	color: #50D0F8;
	font-size: 10pt;
	width: 16px;
	background-position: 0 -65px;
}

.waypoint:hover .handle {
	background-position: 0 -97px;
}

.waypoint:first-child .handle {
	background-position: 0 -1px;
}

.waypoint:first-child:hover .handle {
	background-position: 0 -33px;
}

.waypoint:last-child .handle {
	background-position: 0 -129px;
}

.waypoint:last-child:hover .handle {
	background-position: 0 -161px;
}
.waypoint input.address {
	/*width: 222px;*/
	width: 100%;
}

input.has-error, input.has-error:focus {
	box-shadow: 0 0 2px #E83078 ;
	border:solid 1px #FF0000;
}

/* Route details */
#directionPanel {
    padding: 10px 0;
    color: #ccc;
}
#directionPanel table td {
	cursor: pointer;
}
.adp-placemark {
	width: 100%;
    margin-bottom: 10px;
    border-bottom: solid 1px #444;
    border-top: solid 1px #444;
}

.adp-directions {
    line-height: 1.5;
}

.adp-directions tr {
    border-bottom: solid 1px #444;
}
.warnbox-content {
    padding: 10px;
}
.adp-legal {
    text-align: center;
}
#directionPanel a {
    color: #FFF;
    text-decoration: none;
}
#directionPanel a:hover {
    color: #0098C0;
}
.dap-substep div img {
    margin: .5rem 1rem .5rem .5rem;
}
.adp-summary {
    color: #FFF;
    font-weight: bold;
}
.adp-agencies {
    margin-bottom: 10px;
    line-height: 1.5;
}
.dap-substep span span {
    background-color: transparent !important;
}

.adp-marker {
	width: 16px;
}
.adp-text {
	line-height: 1.5;
}

.route-points {
    position: relative;
    overflow: hidden;
    font-size: 8pt;
}

.route-points .route-point {
    padding: 5px 0;
}

.route-points .route-point > div {
    padding: 5px;
    box-sizing: border-box;
}

.route-points .route-point .lunch {
    border-top: dotted 1px #444;
    border-bottom: dotted 1px #444;
    margin: 5px 5px 0 5px;
    padding-left: 67px;
    color: #CCC;
}
/*.route-points .route-point:last-child > .stop {
    display: none;
}
*/
.route-points .route-point .distance {
    clear: both;
    color: #ccc;
    padding-bottom: 0;
    padding-left: 69px;
}
.route-points .route-point .distance.summary {
    border-top: solid 1px #444;
    padding-top: 10px;
    padding-left: 10px;
    text-align: center;
}

.route-points .route-point .time,
.route-points .route-point .handle,
.route-points .route-point .name,
.route-points .route-point .stop
{
    float: left;
    line-height: 1.3;
}
.route-points .route-point .btns {
    float: right;
}

.route-points .route-point .time,
.route-points .route-point .stop {
    border: solid 1px transparent;
    width: 44px;
    padding-top: 5px; padding-bottom: 0;
}

.route-points .route-point .time.editing,
.route-points .route-point .stop.editing{
    padding-left: 0;
    padding-right: 0;
}

.route-points .route-point .handle {
    width: 20px;
    padding-left: 0;
    padding-right: 0;
    cursor: pointer;
}
.route-points .route-point .handle .fa-stack {
    font-size: 16px;
    color: #0098C0;
    margin-left: -5px;
}
.route-points .route-point .handle .fa-stack .letter {
    display: inline-block;
    height: 15px;
    line-height: 1;
    top: 4px;
    left: 10px;
    font-size: 10.5pt;
    color: #000;
    border-radius: 3px;
    background-color: #0098C0;
    width: 50%;
    width: 9pt;
}
.route-points .route-point .name a {
    color: #FFF;
    text-decoration: none;
}
.route-points .route-point .name a:hover {
    color: #0098C0;
}

.route-points .route-point:last-child .handle .fa-stack{
    color: #DD4444;
}

.route-points .route-point:last-child .handle .fa-stack .letter {
    background-color: #DD4444;
}


.route-points .route-point:first-child .handle .fa-stack{
    color: #689030;
}

.route-points .route-point:first-child .handle .fa-stack .letter {
    background-color: #689030;
}

.route-points .route-point .name {
    width: 178px;
    width: calc(100% - 157px);
}

.route-points .route-point .time.editable:hover,
.route-points .route-point .stop:hover {
    border: dashed 1px #666;
    border: dotted 1px #666;
}

table.route-button-table button.fancybutton,
.route-controls button.fancybutton {
    margin-left: 0;
    margin-right: 0;
}

.dialog-footer .message {
    float: left;
}

/* Calendar pane */
.calendar-wrapper {
	width: 100%;
	padding: 0 5px;
	box-sizing: border-box;
	overflow: hidden;
	height: -ms-calc(100% - 225px);
	height: -webkit-calc(100% - 225px);
	height: -moz-calc(100% - 225px);
	height: calc(100% - 225px);
    transition: filter .7s;
    -webkit-transition: -webkit-filter .7s;
}

#cphBody_DeviceCalendar {
    height: calc(100% - 2px) !important;
}

.calendar-wrapper a.lnk,
.calendar-wrapper a.lnk-pbk {
    line-height: 1.2;
    text-decoration: none;
}

.calendar-wrapper a.lnk.g {
    /*color: #98C830;*/
    color: #FFF;
}
.calendar-wrapper a.lnk:hover,
.calendar-wrapper a.lnk-pbk:hover {
    color: #0098C0 !important;
    /*text-decoration: underline;*/
}

.calendar-controls {
	/*border-bottom: solid 1px #666;*/
	padding: 0 0 5px 0;
	/*margin: 0 5px;*/
}

.calendar-controls label {
	color: #CCC;
}
.cal-reminder .cal_dark_event_inner {
    color: #F00;
    line-height: 1.2;
}

.calendar-activity {
    margin: 5px 5px 0 5px;
    border: solid 1px #444;
}
.calendar-activity canvas {
    display: block;
}
.calendar-reuslt {
	border: 1px solid #444;
	margin: 5px 5px 0 5px;
}
.bubble_default_main .bubble_default_main_inner {
	font-size: 8pt;
	line-height: 1.3;
	box-shadow: 3px 3px 3px rgba(102, 102, 102, 0.55);
	border-radius: 0;
	border-color: #444;
	background: #FFF;
	padding: 6px 10px;
}

.bubble_default_main_inner p {
    padding-top: 5px;
}

#calendarTab .device-form td input[type=text]:not(.ms-helper),
#activityTab .activity-form td input[type=text],
#docketTab table.job-filter td input[type=text] {
    width: 100%;
}

.feature-overlay {
    /*top: 72px;*/
    top: 111px;
    bottom: 35px;
}

input:read-only {
	cursor: default;
}

.cal_dark_event {
    max-width: min(144px, 50%);
}

div.cal_dark_event_inner {
	background: #2b2b2b;
	background: rgba(43, 43, 43, .4);
}

#deviceFormTable tr td,
#activityFormTable tr td,
#docketTab table.job-filter tr td {
	padding: 5px 0;
}

#activityHeadTable thead th {
	padding: 7px 5px;
	text-align: left;
}

#tr td {
	padding: 7px 5px;
    line-height: 1.35;
}

#activityTable tr {
	border-top: solid 1px #444;
}

#activityTable tr:first-child {
	border-top: none;
}

#activityTable {
	border-bottom: solid 1px #444;
}

#activityTable tr:nth-child(2n) {
	background-color: #2b2b2b;
}

#activityTable tbody tr td a {
	cursor: pointer;
}

#activityTable tbody tr td a:hover {
	color: #0098C0;
}

#RPM {
    position: absolute;
}

.activity-wrapper {
	height: calc(100% - 210px);
	padding-bottom: 5px;
	margin: 0 5px 5px 5px;
	border: solid 1px #444;
	box-sizing: border-box;
}

.activity-wrapper .scrollable {
	height:calc(100% - 22px);
	overflow-x: hidden;
	overflow-y: auto;
}

td.has-event {
	position: relative;
}
td.has-event::after {
	content: '';
	display: block;
	position: absolute;
	top: 3px;
	width: 3px;
	height: 3px;
	left: 3px;
	border-radius: 3px;
	background-color: #0098C0;
}
.ContentHeader .widget-close {
	display: block;
    float: right;
    color: #999;
    width: 20px;
    height: 20px;
    text-align: center;
    line-height: 18px;
    margin-top: 3px;
    margin-left: .5rem;
    margin-right: -5px;
    border-radius: 3px;
    text-decoration: none;
    transition: background-color .3s, color .3s;
    -webkit-transition: background-color .3s, color .3s;
    cursor: pointer;
}

.cal_dark_event.job {
	left: 25% !important;
}
.cal_dark_event.job .cal_dark_event_bar {
    inset: 3px auto 3px 2px !important;
    width: 5px;
}

.cal_dark_event.job .cal_dark_event_bar_inner {
    background-color: rgba(104, 144, 48, 0.75);
    width: 5px;
}

.cal_dark_event.task {
    left: auto !important;
    right: 0 !important;
}
.cal_dark_event.task .cal_dark_event_bar {
    inset: 3px auto 3px 2px !important;
    width: 5px;
}

.cal_dark_event.task .cal_dark_event_bar_inner {
    background-color: rgba(255, 211, 48, 0.75);
    width: 5px;
}

.cal_dark_event.docket {
  left: 25% !important;
  right: 0 !important;
}

  .cal_dark_event.docket .cal_dark_event_bar {
    inset: 3px auto 3px 2px !important;
    width: 5px;
  }

  .cal_dark_event.docket .cal_dark_event_bar_inner {
    background-color: #0077ff;
    width: 5px;
  }

.cal_dark_event.journey {
	left: 0% !important;	
}
.cal_dark_event.logbook {
	left: 50% !important;
	width: 25% !important;
}
.cal_dark_event.timecard {
	left: 76% !important;
	width: 25% !important;
}

/** Docket */
table.job-filter {
	margin: 5px;
	width: 100%;
	table-layout: fixed;
	transition: filter 1;
	-webkit-transition: -webkit-filter 1;
}

#jobList {
    line-height: 1.5;
}

#jobList li.job {
    margin-top: 5px;
}

#jobList li.job .time {
    padding-left: 5px;
}

#jobList li.job .dk-date {
    position: absolute;
    left: 1px;
}

#jobList li.job .time small {
    font-size: 7pt;
}

#jobList li.job .name, #jobList li.job a.lnk-edit-job {
    color: #F8e800;
    font-weight: bold;
}

#jobList li.job a.lnk-edit-job:hover {
    color: #0098C0;
}

#jobList li.job a.address {
    display: block;
    text-decoration: none;
    color: #CCC;
}
#jobList li.job .pri .block {
    display: block;
    border: solid 1px;
    width: 8px;
    height: 8px;
    margin: 3px 3px 0 3px;
}
#jobList li.job a.address:hover {
    color: #0098C0;
}

#jobList li.job .info > .pull-left {
    width: 53px;
}

#jobList li.job .info > .pull-right {
    width: calc(100% - 58px);
    padding-right: 5px;
    box-sizing: border-box;
}
/*#jobList li.job .name,
#jobList li.job .address {
    float: right0;
}
*/

#jobList li .job-name,
#jobList li .docket .num, #jobList li .docket .lnk-edit-docket {
    font-weight: bold;
    color: #fff;
}

 #jobList li .docket .lnk-edit-docket:hover {
    color: #0098C0;
}

#jobList ul.dockets {
    float: right;
    width: calc(100% - 58px);
    padding-right: 5px;
    box-sizing: border-box;
}

#jobList ul.dockets > li {
    background-color: #2b2b2b;
    margin-top: 5px;
    padding: 5px;
}

#jobList .docket > table {
    width: 100%;
}

#jobList .docket > table tr td {
    padding: 0 5px;
}
#jobList .docket .items {
    border-top: solid 1px #222;
    margin-top: 5px;
    font-size: 6pt;
}
#jobList .docket .items tr:first-child td {
    padding-top: 5px;
}

#jobList .docket .items .it-name {
    display: inline-block;
    width: 100%;
    white-space: nowrap;
    text-overflow: '...';
    text-overflow: ellipsis;
    overflow: hidden ;
}

#jobList .docket .dk-addr {
    font-size: 7pt;
}

/*#jobList table.docket tr td:first-child,
#jobList table.docket tr td:last-child {
    padding-left: 0;
}*/
/** commons */
.ContentHeader span.calendar-icon,
.ContentHeader span.activity-icon,
.ContentHeader span.docket-icon {
    position: absolute;
    left: 5px;
    top: 0;
}

.cell-btn {
    padding-left: 0;
    padding-right: 0;
    width: 100%;
}
.btn-add-docket {
    padding-left: 9px;
    padding-right: 9px;
}
.btn-add-docket .fa-stack {
    width: 14px;
    height: 14px;
    line-height: 14px;
}

.btn-add-docket .fa-stack .no1 {
    font-size: 14px;
}

.btn-add-docket .fa-stack .no2 {
    top: 6px;
    left: 8px;
    text-shadow: -1px 0 2px #666;
}

.ui-autocomplete {
    z-index: 10000 !important;
}
a.ui-datepicker-prev.ui-state-hover, 
a.ui-datepicker-next.ui-state-hover {
    background-color: #FFF !important;
}

.tool_tip table td {
    line-height: 1.4;
    padding-top: 2px;
}
.tool_tip table td.text-label {
    color: #ccc;
}

.cal_dark_main .cal_dark_cornerright_inner {
    border-right: solid 1px transparent;
}

.tooltip-ellipsis {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	width: 200px;
}